Get redemption by ID
curl --request GET \
--url https://api.fabric.inc/v3/redemptions/{redemptionId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/redemptions/{redemptionId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/redemptions/{redemptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/redemptions/{redemptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/redemptions/{redemptionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/redemptions/{redemptionId}")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/redemptions/{redemptionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "614b58924e92f6861ac9d43b",
"promotionId": "614b58924e92f6861ac91234",
"orderId": "1590-2016-12345",
"createdAt": "2020-12-14T12:15:43.646Z",
"updatedAt": "2021-12-14T12:15:43.646Z",
"couponCode": "BESTSUMMER",
"userId": "614b58924e92f61234567890",
"email": "guest@example.com",
"storeId": "A-100001",
"redeemedAt": "2020-12-14T12:15:43.646Z",
"status": "ACTIVE",
"additionalAttributes": [
{
"name": "brand",
"values": "Nike"
}
],
"promotionAdditionalAttributes": [
{
"name": "eventName",
"values": "Store sale"
}
],
"promotionName": "Summer promotion"
}{
"type": "REDEMPTION_ID_NOT_VALID",
"message": "Redemption ID isn't valid, it needs must be a valid Object ID"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "REDEMPTION_NOT_FOUND",
"message": "The redemption record doesn't exist."
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Redemptions
Get redemption by ID
Retrieves a specific redemption using the corresponding redemptionId value.
GET
/
redemptions
/
{redemptionId}
Get redemption by ID
curl --request GET \
--url https://api.fabric.inc/v3/redemptions/{redemptionId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/redemptions/{redemptionId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/redemptions/{redemptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/redemptions/{redemptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/redemptions/{redemptionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/redemptions/{redemptionId}")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/redemptions/{redemptionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "614b58924e92f6861ac9d43b",
"promotionId": "614b58924e92f6861ac91234",
"orderId": "1590-2016-12345",
"createdAt": "2020-12-14T12:15:43.646Z",
"updatedAt": "2021-12-14T12:15:43.646Z",
"couponCode": "BESTSUMMER",
"userId": "614b58924e92f61234567890",
"email": "guest@example.com",
"storeId": "A-100001",
"redeemedAt": "2020-12-14T12:15:43.646Z",
"status": "ACTIVE",
"additionalAttributes": [
{
"name": "brand",
"values": "Nike"
}
],
"promotionAdditionalAttributes": [
{
"name": "eventName",
"values": "Store sale"
}
],
"promotionName": "Summer promotion"
}{
"type": "REDEMPTION_ID_NOT_VALID",
"message": "Redemption ID isn't valid, it needs must be a valid Object ID"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "REDEMPTION_NOT_FOUND",
"message": "The redemption record doesn't exist."
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Required string length:
24A unique identifier obtained from Copilot for the System app in the fabric ecosystem, essential for OpenID Connect authentication flows.
Path Parameters
Redemption ID to get the redemption details. The redemption ID generated using the following endpoints:
Example:
"614b58924e92f6861ac9d43b"
Response
OK
Coupon's redemption details
Was this page helpful?
